## knopflerfish-osgi 2.3.3

=== knopflerfish.org/tools/nightlybuild/Makefile ===

KF_HOME=/home/knopflerfish
WWW_DIR=${KF_HOME}/www
WWW_PATH=snapshots
OUT_DIR=${WWW_DIR}/${WWW_PATH}
OUT_URL=http://www.knopflerfish.org/${WWW_PATH}

TAG         = trunk
TAGs        = $(subst /,_,$(TAG))
CURRENT_LINK=current_${TAGs}
BUILD_KIND  = "snapshot build"

CHANGE_LOG=${KF_HOME}/ChangeLog_${TAG}
REPO=https://www.knopflerfish.org/svn/knopflerfish.org/${TAG}

ANT	= /usr/bin/ant
AWK     = /usr/bin/awk
CAT     = /bin/cat
CP      = /bin/cp 
GREP    = /bin/grep
LN      = /bin/ln
MKDIR   = /bin/mkdir
RM      = /bin/rm
SED     = /bin/sed
SVN     = /usr/bin/svn

#JAVA      = java
JAVA      = /usr/local/j2sdk1.4/bin/java
export JAVA_HOME = /usr/local/j2sdk1.4

YEAR := $(shell /bin/date '+%Y')
DATE := $(shell /bin/date '+%Y-%m-%d %H:%M')
# The Major.Minor.Micro part of the current (upcomming) Knopflerfish
# release version.
# E.g., REL_VERSION = 2.0.4
REL_VERSION := $(shell cd ${TAGs} && ${ANT} version | \
                       ${GREP} "Version: " | \
                       ${SED} -e 's/.*Version: //g' \
                              -e 's/\.[0-9]*[-a-zA-Z_][-0-9aa-zA-Z_]*//')

# The current SVN revision number
REVISION := $(shell ${SVN} info ${REPO} | \
                    ${GREP} 'Revision: ' | \
                    ${SED} -e 's/Revision: //')

# The version of this nightly build
VERSION := ${REL_VERSION}.snapshot_${TAGs}_${REVISION}

# Ant with build properties set.
ANTv = ${ANT} -Dversion=${VERSION} \
              -Dsvn.tag=${TAG} \
              -Dbuild.kind=${BUILD_KIND} \
	      -Dbase.url=${OUT_URL}

.PHONY: help all  clean version checkout update status
.PHONY: build distrib
.PHONY: copyout outindex clean_snapshots
.PHONY: obr_export obr obr_install


help:
	@echo "update       clean and update"
	@echo "all          builds distribution, tests it and publishes it."

all: version distrib copyout clean_snapshots outindex

version:
	@echo "Current Knopflerfish version is: ${REL_VERSION}"
	@echo "Current repository version is: ${REVISION}"
	@echo "Current build version is: ${VERSION}"

obr:
	(cd ${TAGs} && ${ANTv} obr bindex)

obr_install:
	$(CP) ${TAGs}/repo/* ${WWW_DIR}/repo
	${RM} -f ${WWW_DIR}/repo/jars
	${LN} -s ${WWW_DIR}/releases/${VERSION}/jars ${WWW_DIR}/repo/

checkout:
	${SVN} co ${REPO} ${TAGs}

update:
	(cd ${TAGs} && ${ANT} clean)
	-${RM} -f ${TAGs}/changelog.txt
	(cd ${TAGs} && ${SVN} update)
	[ -r ${CHANGE_LOG} ] && cp ${CHANGE_LOG} ${TAGs}/changelog.txt

status:
	(cd ${TAGs} && ${SVN} status)

build:
	(cd ${TAGs} && ${ANTv} all)

distrib:
	(cd ${TAGs} && ${ANTv} distrib)

clean:
	$(RM) -rf ${TAGs}

copyout:
	@$(MKDIR) -p ${OUT_DIR}
	$(CP) -r ${TAGs}/htdocs/releases/${VERSION} ${OUT_DIR}

# Remove all but the 10 last BUILDs on the current ${TAG} from ${OUT_DIR}
clean_snapshots:
	@$(MKDIR) -p ${OUT_DIR}
	@(cd ${OUT_DIR}; \
	  BUILD_CNT=0; \
	  for FF in `ls -1ctd *snapshot_${TAGs}*`; do \
	    if [ -d $$FF ]; then \
	      BUILD_CNT=`expr $$BUILD_CNT + 1`; \
	      if [ $$BUILD_CNT -gt 10 ]; then \
	        ${RM} -rf $$FF; \
	      fi; \
	    fi; \
	  done)

outindex:
	@${RM} -f ${OUT_DIR}/${CURRENT_LINK}
	@${CAT} ${TAGs}/tools/nightlybuild/snap_index.html.pre | \
            ${SED} -e "s/@DATE@/${DATE}/g" \
                   -e "s!@REPO@!${REPO}!g" \
                                                        > ${OUT_DIR}/index.html
	@echo "The current build on ${TAG} is <a href=">> ${OUT_DIR}/index.html
	@echo "\"${CURRENT_LINK}\">${VERSION}</a>.<p/>">> ${OUT_DIR}/index.html
	@echo "<h3>All available snapshot builds</h3>" >> ${OUT_DIR}/index.html
	@echo "Builds are listed in descending build " >> ${OUT_DIR}/index.html
	@echo "date order, i.e., most recent first."   >> ${OUT_DIR}/index.html
	@echo "<p>"                                    >> ${OUT_DIR}/index.html
	@(cd ${OUT_DIR}; \
	  for FF in `ls -1ct`; do \
	    if [ -d $$FF ]; then \
	      echo "<a href=\"$$FF\">$$FF</a><br/>"  >> ${OUT_DIR}/index.html; \
	    fi; \
	  done)
	@${CAT} ${TAGs}/tools/nightlybuild/snap_index.html.post | \
            ${SED} -e "s/@YEAR@/${YEAR}/g" \
                                                       >> ${OUT_DIR}/index.html
	@(cd ${OUT_DIR} && ${LN} -s ${VERSION} ${CURRENT_LINK})

=== knopflerfish.org/osgi/bundles/cm/cm/src/org/knopflerfish/bundle/cm/Makefile ===
#
# Makefile for Gatespace Configuration Management Implementation bundle.
#
# Copyright (c) 2001 Gatespace AB. All Rights Reserved.
#

RCSID = $Id: Makefile,v 1.1.1.1 2004/03/05 20:34:48 wistrand Exp $

TOP_DIR = ../../..

BUNDLES_USED = log_api cm_api

JAVA_SRCS = \
  Activator.java \
  ConfigurationAdminFactory.java \
  ConfigurationStore.java \
  ConfigurationDictionary.java \
  PluginManager.java \
  Update.java \
  UpdateQueue.java \
  ConfigurationDispatcher.java \


include ${TOP_DIR}/makefiles/java.mak

=== debian/changelog ===
knopflerfish-osgi (2.3.3-3) unstable; urgency=medium

  * Team upload.
  * Remove needless depdency on JRE. (Closes: #735892, #720304, #681763)
  * Depend on DH9.
  * Bump Standards-Version to 3.9.5. No changes were required.
  * Update Vcs- URLs to canonical versions.
  * Make debian/copyright more DEP5-ish.

 -- tony mancill <tmancill@debian.org>  Sat, 18 Jan 2014 15:29:13 -0800

knopflerfish-osgi (2.3.3-2) unstable; urgency=low

  * Team upload.
  * Switch to default-jdk. (Closes: #643518).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add missing Vcs-* fields.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 22 Oct 2011 20:39:23 -0430

knopflerfish-osgi (2.3.3-1) unstable; urgency=low

  * Initial release (Closes: #478323).

 -- Eric Lavarde <deb@zorglub.s.bawue.de>  Sat, 17 Apr 2010 13:13:00 +0200

=== debian/control ===
Source: knopflerfish-osgi
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>
Build-Depends-Indep: libasm3-java, default-jdk
Build-Depends: cdbs, debhelper (>= 9), ant
Standards-Version: 3.9.5
Homepage: http://www.knopflerfish.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/knopflerfish-osgi
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/knopflerfish-osgi

Package: libknopflerfish-osgi-framework-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libknopflerfish-osgi-java-doc
Description: Java framework implementing the OSGi R4 version
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible. 
 .
 This package specifically provides the framework JAR file.

Package: libknopflerfish-osgi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: iceweasel | firefox | www-browser
Description: Java framework implementing the OSGi R4 version (docs)
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible. 
 .
 This package contains the documentation, currently mainly for the framework.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Commons Fileupload (uses CDBS)

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME_DIRS       := /usr/lib/jvm/default-java

ANT_HOME             := /usr/share/ant
DEB_ANT_BUILD_TARGET := jar
DEB_BUILDDIR         := knopflerfish.org/osgi/framework
# DEB_INSTALL_DOCS_ALL = -Xlicense
# DEB_DH_INSTALL_ARGS := -XLICENSE.txt
DEB_COMPRESS_EXCLUDE := .java .html

clean::
	-$(DEB_ANT_INVOKE) $(DEB_ANT_CLEAN_TARGET)
	-rm -f knopflerfish.org/osgi/framework/resources/tstamp
	-rm -fr api/

build/libknopflerfish-osgi-java-doc::
	javadoc -sourcepath knopflerfish.org/osgi/framework/src -d api -subpackages org.knopflerfish:org.osgi

# Get original sources directly using uscan
get-orig-source:
	uscan --force-download

# we don't need jh_manifest and it has a bug:
#JH_MANIFEST_ARGS := -V
#override_jh_manifest:
#	-echo no jh_manifest

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.knopflerfish.com/releases/([\d\.]+)/knopflerfish_osgi_([\d\.]+)\.jar debian ./debian/clean-sources

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.knopflerfish.com/download.html knopflerfish_osgi_(.*)\.jar

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/knopflerfish-osgi-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/knopflerfish-osgi-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/knopflerfish-osgi/knopflerfish-osgi-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html knopflerfish-osgi-(.*)\.tar\.gz

## knopflerfish-osgi 5.1.0+dfsg1

=== debian/changelog ===
knopflerfish-osgi (5.1.0+dfsg1-3) unstable; urgency=medium

  * Move to libasm4-java (Closes: #800860)

 -- Felix Natter <fnatter@gmx.net>  Fri, 09 Oct 2015 21:49:58 +0200

knopflerfish-osgi (5.1.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 16 May 2015 08:39:55 -0700

knopflerfish-osgi (5.1.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Moved the package to Git
  * Added myself to Uploaders, removed Eric at his request
  * Bump Standards-Version to 3.9.6 (no changes)
  * Remove all but framework code from upstream source
  * Fix copyright (framework code only)
  * Specify encoding=UTF-8 for javadoc target
  * Minor fix for watch file
  * doc package: include only api/ and framework[commands].html

 -- Felix Natter <fnatter@gmx.net>  Tue, 03 Mar 2015 19:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: java
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>
-Build-Depends-Indep: libasm3-java, default-jdk
+Uploaders: Felix Natter <fnatter@gmx.net>
+Build-Depends-Indep: libasm4-java, default-jdk
 Build-Depends: cdbs, debhelper (>= 9), ant
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.knopflerfish.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/knopflerfish-osgi
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/knopflerfish-osgi
+Vcs-Git: git://anonscm.debian.org/pkg-java/knopflerfish-osgi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 
 Package: libknopflerfish-osgi-framework-java
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libknopflerfish-osgi-java-doc
-Description: Java framework implementing the OSGi R4 version
+Description: Java framework implementing the OSGi R5 version
  OSGi, Open Service Gateway Initiative, specifies an industry standard Java
  application platform, allowing multiple applications, to securely run in a
  single JVM. These programs can share resources as data, functionality and
@@ -31,7 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: iceweasel | firefox | www-browser
-Description: Java framework implementing the OSGi R4 version (docs)
+Description: Java framework implementing the OSGi R5 version (docs)
  OSGi, Open Service Gateway Initiative, specifies an industry standard Java
  application platform, allowing multiple applications, to securely run in a
  single JVM. These programs can share resources as data, functionality and

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,22 @@
 
 ANT_HOME             := /usr/share/ant
 DEB_ANT_BUILD_TARGET := jar
-DEB_BUILDDIR         := knopflerfish.org/osgi/framework
+DEB_BUILDDIR         := osgi/framework
 # DEB_INSTALL_DOCS_ALL = -Xlicense
 # DEB_DH_INSTALL_ARGS := -XLICENSE.txt
 DEB_COMPRESS_EXCLUDE := .java .html
 
 clean::
 	-$(DEB_ANT_INVOKE) $(DEB_ANT_CLEAN_TARGET)
-	-rm -f knopflerfish.org/osgi/framework/resources/tstamp
+	-rm -f osgi/framework/resources/tstamp
 	-rm -fr api/
+	-rm -f osgi/framework-5.1.0.jar
+	-rm -f framework.html frameworkcommands.html
 
 build/libknopflerfish-osgi-java-doc::
-	javadoc -sourcepath knopflerfish.org/osgi/framework/src -d api -subpackages org.knopflerfish:org.osgi
+	javadoc -encoding "UTF-8" -sourcepath osgi/framework/src -d api -subpackages org.knopflerfish:org.osgi
+	cp docs/bundledoc/framework/index.html framework.html
+	cp docs/bundledoc/frameworkcommands/index.html frameworkcommands.html
 
 # Get original sources directly using uscan
 get-orig-source:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[1-9]// \
http://www.knopflerfish.org/releases/([\d\.]+)/knopflerfish_osgi_sdk_([\d\.]+)\.jar debian ./debian/clean-sources

## knopflerfish-osgi 5.2.0

=== debian/changelog ===
knopflerfish-osgi (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Restored the exports file in the jar (Closes: #840130, LP: #1631361)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 11 Oct 2016 01:10:45 +0200

knopflerfish-osgi (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Install the new 5.2.0 files/links
    - Ignore the Android part
  * Build with the DH sequencer instead of CDBS
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Improved the reproducibility of the Javadoc
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * debian/watch: Track the release tags on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Oct 2016 16:33:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Natter <fnatter@gmx.net>
-Build-Depends-Indep: libasm4-java, default-jdk
-Build-Depends: cdbs, debhelper (>= 9), ant
-Standards-Version: 3.9.6
+Build-Depends-Indep: libasm-java (>= 5.0), default-jdk
+Build-Depends: debhelper (>= 9), ant
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/knopflerfish-osgi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 Homepage: http://www.knopflerfish.org/
-Vcs-Git: git://anonscm.debian.org/pkg-java/knopflerfish-osgi.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 
 Package: libknopflerfish-osgi-framework-java
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant

override_dh_auto_build:
	mkdir -p osgi/framework/libs
	ln -s /usr/share/java/asm-all.jar osgi/framework/libs/asm-3.2.jar

	dh_auto_build -- -f ant/bundletasks.xml build_bundle_tasks -Dasm.jar=/usr/share/java/asm-all.jar
	dh_auto_build -- -f osgi/framework/build.xml jar

	javadoc -locale en -encoding "UTF-8" -sourcepath osgi/framework/src -d api -subpackages org.knopflerfish:org.osgi
	cp osgi/framework/doc/index.html framework.html

override_dh_auto_clean:
	-rm -Rf ant/classes
	-rm -Rf ant/lib
	-rm -Rf osgi/framework/libs/*.jar
	-rm -f osgi/framework/resources/tstamp
	-rm -f osgi/framework/resources/version
	-rm -f osgi/framework/resources/exports
	-rm -fr api/ osgi/out
	-rm -f osgi/framework-*.jar
	-rm -f framework.html

get-orig-source:
	uscan --force-download --download-current-version --rename --repack --compression xz

## knopflerfish-osgi 6.1.1

=== debian/changelog ===
knopflerfish-osgi (6.1.1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add Multi-Arch: foreign.

  [ Andreas Tille ]
  * Secure URI in Homepage
  * d/watch:
     - fix fetching tags
     - exclude tags starting with 9
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Use correct machine-readable copyright file URI.
  * Move debhelper-compat from Build-Depends-Indep to Build-Depends.

 -- Andreas Tille <tille@debian.org>  Sun, 02 Feb 2025 18:13:01 +0100

knopflerfish-osgi (6.1.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 11:53:15 +0100

knopflerfish-osgi (6.1.1-3) unstable; urgency=medium

  * Build with source=1.7 and target=1.7 (Closes: #895885)

 -- Felix Natter <fnatter@gmx.net>  Sat, 28 Apr 2018 14:19:59 +0200

knopflerfish-osgi (6.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Felix Natter ]
  * Drop -java-doc package due to low popcon (Closes: #893221)
  * Correct description (R5->R6)
  * Priority extra->optional
  * Install NOTICE.txt in main package
  * Bump standards version to 4.1.3

  [ Emmanuel Bourg ]
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 31 Mar 2018 14:03:27 +0200

knopflerfish-osgi (6.1.1-1) unstable; urgency=medium

  [ Felix Natter ]
  * New upstream release
  * Java9 support
  * Update standards-version (no changes)
  * Drop 20_versioned_jar.patch (no longer necessary)
  * Add 10_javac_encoding.patch
  * Build with libosgi-annotation-java

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.1.0.
  * Switch to compat level 10.

 -- Felix Natter <fnatter@gmx.net>  Sat, 16 Sep 2017 10:10:35 +0200

=== debian/control ===
Source: knopflerfish-osgi
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Felix Natter <fnatter@gmx.net>
Section: java
Priority: optional
Build-Depends-Indep: ant,
                     default-jdk-headless,
                     libasm-java,
                     libosgi-annotation-java
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/knopflerfish-osgi
Vcs-Git: https://salsa.debian.org/java-team/knopflerfish-osgi.git
Homepage: https://www.knopflerfish.org/
Build-Depends: debhelper-compat (= 13)

Package: libknopflerfish-osgi-framework-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Java framework implementing the OSGi R6 version
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible.
 .
 This package specifically provides the framework JAR file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant

override_dh_auto_build:
	mkdir -p osgi/framework/libs
	ln -s /usr/share/java/asm-all.jar osgi/framework/libs/asm-3.2.jar
	mkdir -p osgi/annotations
	ln -s /usr/share/java/osgi.annotation.jar osgi/annotations/osgi.annotation-6.0.1.jar

	dh_auto_build -- -f ant/bundletasks.xml build_bundle_tasks -Dasm.jar=/usr/share/java/asm-all.jar
	dh_auto_build -- -f osgi/framework/build.xml jar

override_dh_auto_clean:
	-rm -Rf ant/classes
	-rm -Rf ant/lib
	-rm -Rf osgi/framework/libs/*.jar
	-rm -Rf osgi/annotations/*.jar
	-rm -f osgi/framework/resources/tstamp
	-rm -f osgi/framework/resources/version
	-rm -f osgi/framework/resources/exports
	-rm -fr api/ osgi/out
	-rm -f osgi/jars/framework-*.jar
	-rm -f osgi/framework.jar
	-rm -f framework.html

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=auto" \
  https://github.com/knopflerfish/knopflerfish.org/tags .*/([1-8][\d\.]+).tar.gz
